package net.sourceforge.phpeclipse.xdebug.php.model;

import org.eclipse.debug.core.DebugException;
import org.w3c.dom.Node;

public class XDebugIntValue extends XDebugAbstractValue {
	public XDebugIntValue(XDebugStackFrame frame, Node value) throws DebugException {
		super(frame, value);
	}
	
	public boolean supportsValueModification() {
		return true;
	}
		
	public void renderValueString(String dataString) {
		fValueString = dataString;
	}
	
	public boolean verifyValue(String expression) {
		try {
			Integer.parseInt(expression);
		} catch (NumberFormatException e) {
			return false;
		}
		return true;
	}
}